Index: build_tools/prep_tarball
===================================================================
--- build_tools/prep_tarball	(revision 130478)
+++ build_tools/prep_tarball	(working copy)
@@ -9,5 +9,5 @@
 make AWK=awk GREP=grep menuselect-tree
 
 VERSION=`cat .version`
-sed -i -e "s/ASTERISKVERSION/${VERSION}/" doc/tex/asterisk.tex
-cd doc/tex && rubber --pdf asterisk.tex && latex2html asterisk.tex
+sed -e "s/ASTERISKVERSION/${VERSION}/" doc/tex/asterisk.tex > doc/tex/asterisk_local.tex
+cd doc/tex && rubber --pdf asterisk_local.tex && latex2html asterisk_local.tex && rm asterisk_local.tex
Index: doc/tex/Makefile
===================================================================
--- doc/tex/Makefile	(revision 130478)
+++ doc/tex/Makefile	(working copy)
@@ -23,10 +23,9 @@
 	@exit
 endif
 endif
-	@cp asterisk.tex asterisk.tex.orig
-	sed -i -e 's/ASTERISKVERSION/$(shell echo $(ASTERISKVERSION) | sed -e 's/\//\\\//g')/' asterisk.tex
-	@$(RUBBER) --pdf asterisk.tex
-	@mv asterisk.tex.orig asterisk.tex
+	sed -e 's/ASTERISKVERSION/$(shell echo $(ASTERISKVERSION) | sed -e 's/\//\\\//g')/' asterisk.tex > asterisk_local.tex
+	@$(RUBBER) --pdf asterisk_local.tex
+	@rm asterisk_local.tex
 endif
 
 html:
@@ -37,8 +36,7 @@
 	@echo "** Note that the latex2html tool is        ***"	
 	@echo "** required for this to work.              ***"	
 	@echo "**********************************************"
-	@cp asterisk.tex asterisk.tex.orig
-	@sed -i -e 's/ASTERISKVERSION/$(ASTERISKVERSION)/' asterisk.tex
-	@latex2html asterisk.tex
-	@mv asterisk.tex.orig asterisk.tex
+	@sed -e 's/ASTERISKVERSION/$(ASTERISKVERSION)/' asterisk.tex > asterisk_local.tex
+	@latex2html asterisk_local.tex
+	@rm asterisk_local.tex
 
Index: res/Makefile
===================================================================
--- res/Makefile	(revision 130478)
+++ res/Makefile	(working copy)
@@ -44,7 +44,7 @@
 $(if $(filter res_ael_share,$(EMBEDDED_MODS)),modules.link,res_ael_share.so): ael/ael_lex.o ael/ael.tab.o ael/pval.o
 
 ael/ael_lex.c:
-	(cd ael; flex ael.flex; sed -i -e "/begin standard C headers/i#include \"asterisk.h\"" ael_lex.c)
+	(cd ael; flex ael.flex; sed -e "/begin standard C headers/i#include \"asterisk.h\"" ael_lex.c > zz; mv zz ael_lex.c)
 	(cd ael; sed 's@#if __STDC_VERSION__ >= 199901L@#if !defined __STDC_VERSION__ || __STDC_VERSION__ >= 199901L@' ael_lex.c > zz; mv zz ael_lex.c)
 
 ael/ael.tab.c ael/ael.tab.h:
